For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
    • NVIDIA Switch Infrastructure
    • I want to...
  • Quick Start
    • Start Here
    • Getting Started with Config Manager
    • TUI Wizard Reference
    • Configuration Samples
    • Interfaces
    • Local Development Quick Start
    • First Run Tour
  • Config Manager Overview
    • Config Manager Concepts
    • Getting Started with Nautobot
  • User Guides
    • New Site Bringup
    • Workflow Lifecycle
  • Deployment
    • Hosting Options
    • Network Topology Requirements
    • Firewall Ports
    • Airgapped Deployment
    • Troubleshooting
  • Services
      • Network Infrastructure Automation with Temporal
      • Temporal Deployment Process
      • Temporal CLI
      • Workflows for Day 2 Operations
      • Temporal API
        • GETHealthcheck
        • GETRBAC Config Status
        • GETCurrent User Info
          • GETGet Devices
          • GETGet Device ID by Name
          • GETGet Device Password Users
          • GETGet Secret Types for Device
          • GETGet Device Secrets
          • GETGet Diagnostics Commands
          • GETGet Locations
          • GETGet Roles
          • GETGet AIR Simulations
          • GETGet Sites
          • GETGet Statuses
          • GETGet Tenants
NVIDIANVIDIA
Developer-friendly docs for your API
Privacy Policy | Your Privacy Choices | Terms of Service | Accessibility | Corporate Policies | Product Security | Contact

Copyright © 2026, NVIDIA Corporation.

LogoLogo
ServicesTemporal ServiceTemporal APIparameters

Get Device Password Users

||View as Markdown|
GET
https://host.com/v1/parameter/device/:device_id/password_users
GET
/v1/parameter/device/:device_id/password_users
$curl https://host.com/v1/parameter/device/device_id/password_users \
> -H "Content-Type: application/json"
1[
2 {
3 "name": "admin_password",
4 "description": "Admin user with full device access"
5 },
6 {
7 "name": "readonly_password",
8 "description": "Read-only user for monitoring"
9 },
10 {
11 "name": "backup_service_password",
12 "description": "Service account for automated backups"
13 }
14]

Get available password users from device config context password_mappings.

Args: device_id: The UUID of the device.

Returns: List of password users with their secret names from password_mappings.

Previous

Get Device ID by Name

Next

Get Secret Types for Device

Path parameters

device_idstringRequired

Response

Successful Response
namestring
descriptionstring or null

Errors

422
Unprocessable Entity Error